<?php
	$shows = array();
	$shows[] = array("id"=>"familyguy", "title"=>"Family Guy", "image"=>"images/show-familyguy.jpg");
	$shows[] = array("id"=>"battlestar", "title"=>"Battlestar Galactica", "image"=>"images/show-bsg.jpg");
	$shows[] = array("id"=>"dailyshow", "title"=>"The Daily Show", "image"=>"images/show-dailyshow.jpg");
	$shows[] = array("id"=>"lost", "title"=>"LOST", "image"=>"images/show-lost.jpg");
	
	$in_iframe = isset($_GET['in_iframe']);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">

   <head>
      <title>Mike's TV Blog</title>

      <script type="text/javascript" src="http://yui.yahooapis.com/combo?2.6.0/build/yahoo-dom-event/yahoo-dom-event.js&2.6.0/build/animation/animation-min.js&2.6.0/build/connection/connection-min.js&2.6.0/build/json/json-min.js"></script>
      <script type="text/javascript" src="js/rating.js"></script>
      <script type="text/javascript" src="js/app.js"></script>

      <link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/combo?2.6.0/build/reset-fonts-grids/reset-fonts-grids.css"> 
      <link rel="stylesheet" type="text/css" href="css/main.css"/>
      <link rel="stylesheet" type="text/css" href="css/rating.css"/>
   </head>
   <body>
	<div id="hdArea">
      <h3><strong>Mike's TV Blog</strong></h3>
      <p class="descrtxt">These are my 4 favorite TV shows! What do you think?</p>
	
      <div id="showslist">
      <?php
        $iter = 0;
		foreach($shows as $show)
		{
			$iter++;
			$image = $show["image"];
			$title = $show["title"];
			$id = $show["id"];
			$elId = "ratingdiv".$iter;
			
			$html = <<<HTML
<div id="$elId" class="ratingItem">
   <img src="$image"/>
   <form id="rating" action="rate.php" method="post" title="Average: 0">
      <label for="id_rating">Rating:</label>
      <select name="rating" id="id_rating">
         <option value="1">1 - Poor</option>
         <option value="2">2 - Fair</option>
         <option value="3">3 - Good</option>
         <option value="4">4 - Very Good</option>
         <option value="5">5 - Excellent</option>
      </select>
      <input type="hidden" name="id" value="$id" />
      <input type="hidden" name="show_name" value="$title" />
      <input type="submit" value="Submit rating" />
   </form>
</div>

HTML;
			echo $html;
		}
      ?>
	</div>
	<p class="popouttxt">This page shows a mock Partner site with fictitious content that serves as an example to illustrate the power of Yahoo! Updates. <a href="http://developer.yahoo.com/social/updates/">Learn more about Yahoo! Updates</a>.</p>
	</div>
   </body>
</html>
