/**
 * TV-Blog application controller.
 *
 * 0.1 - Initial version (zachg@yahoo-inc.com) 2009-01-06
 */

var _gel = function(id) { return document.getElementById(id); }

var JSON = YAHOO.lang.JSON;
var Event = YAHOO.util.Event;
var Dom = YAHOO.util.Dom;

var blog_ratings = {
	items: ["ratingdiv1","ratingdiv2","ratingdiv3","ratingdiv4"],
	init : function()
	{
		for(var j=0;j<blog_ratings.items.length;j++) {
			var sr = new StarRating(blog_ratings.items[j]);
			sr.callback = blog_ratings.ratingCallback;
			blog_ratings.items[j] = sr;
		}
	},
	ratingCallback : {
		success : function(data)
		{
			var target = data.target;
			var rsp = data.rsp;
			var json = JSON.parse(rsp.responseText);
			
			if(!json.hasSession){
				var authUrl = json.authorizationUrl;
				
				var img = document.createElement("img");
				img.src = "http://l.yimg.com/a/i/ydn/social/upd-sgrey.png";
				img.alt = "";
				img.className = "yahooShare";
				
				var a = document.createElement("a");
				a.href = authUrl;
				a.target = "_blank";
				a.appendChild(img);
				
				var targetDiv = _gel(target.elId);
				var lc = Dom.getLastChild(targetDiv);
				
				Dom.insertAfter(a, lc);
			}
		},
		failure : function(data)
		{
			var target = data.target;
			var rsp = data.rsp;
			var json = JSON.parse(rsp.responseText);
		}
	}
}

Event.addListener(window, 'load', blog_ratings.init);