<?php
	require_once("RatingUtil.inc.php");
	
	if( hasRequiredParams() )
	{
		$ratingUtil = new RatingUtil();
		
		if($ratingUtil->hasSession)
		{
			$id = $_GET['id'];
			$show_name = $_GET['show_name'];
			$rating = $_GET['rating'];
			
			$title = sprintf("gave %s %s stars on Mike's TV blog.", $show_name, $rating);
			$link = sprintf("http://%s",APP_PATH);
		
			$rsp = $ratingUtil->insertUpdate($title, $link);
			$update = $rsp['update'];
			$suid = $rsp['suid'];
		
			if(is_null($update)) die("Error inserting update.");
		}
		else die("Error creating session.");
	}
	else die("Missing required parameters");
	
	function hasRequiredParams(){
		return ( isset($_GET['id']) && isset($_GET['show_name']) 
				&& isset($_GET['rating']) && isset($_GET['oauth_token']));
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
	<head>
		<title>Mike's TV Blog: Thanks for your rating</title>
		
		<link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/combo?2.6.0/build/reset-fonts-grids/reset-fonts-grids.css"> 
		<link rel="stylesheet" type="text/css" href="css/main.css"/>
	</head>
	<body>
		<div id="hdArea">
		<?php
			echo <<<HTML
<p class="thanksCopy">Thanks for rating your $rating star rating of '$show_name'!</p> 
<p>From now on you're linked to Yahoo! and won't see this page again! Mike thanks you!</p>
HTML;
		?>
		<p>	<a href="javascript:window.close();">Close Window</a></p>
		</div>
	</body>
</html>